<?xml version="1.0"?>
<queryset>
<fullquery name="get_messages">
      <querytext>
        select m.message_id, im_message__priority_sign_p(m.priority_p) as priority_p, im_embolden_unread(im_to_addressees_horiz_list(m.message_id), m.message_id, a.addressee_id) as identity, m.sender_user_id, f.folder_name, a.folder_id,
                  im_embolden_unread(m.subject, m.message_id, m.sender_user_id) as subject, to_char(m.sent_timestamptz,'MM/DD/YYYY HH:MI') as sent_date, a.read_p
        from im_message m, persons p, im_folder f, im_addressees a
        where m.sender_user_id = p.person_id
        and m.message_id = a.message_id
        and a.addressee_id = $user_id
        and a.address_mode_id = 0
        and a.folder_id = f.folder_id
        and a.deleted_p = false

        $context_clause
        
        union

        select m.message_id, im_message__priority_sign_p(m.priority_p) as priority_p, im_embolden_unread(p.first_names||' '||p.last_name, m.message_id, a.addressee_id) as identity, m.sender_user_id, f.folder_name, a.folder_id,
                  im_embolden_unread(m.subject, m.message_id, a.addressee_id) as subject, to_char(m.sent_timestamptz,'MM/DD/YYYY HH:MI') as sent_date, a.read_p
        from im_message m, persons p, im_folder f, im_addressees a
        where m.message_id = a.message_id
        and a.addressee_id = p.person_id
        and a.folder_id = f.folder_id
        and m.sent_p = 't'
        and a.addressee_id = $user_id
        and a.address_mode_id <> 0
        and a.deleted_p = false
                    
        $context_clause

        $orderby
      </querytext>
</fullquery>

<fullquery name="get_folders">
      <querytext>
        select folder_id, folder_name, count_of_pending_messages(f.folder_id, :user_id) as pending_messages, null as edit_link
        from im_folder f
        where immutable_p = True
        union
        select folder_id, folder_name, count_of_pending_messages(f.folder_id, :user_id) as pending_messages, im_folder_display__links (folder_id)
        from im_folder f
        where user_id = :user_id
        and immutable_p = false
      </querytext>
</fullquery>

<fullquery name="folders_for_select">
      <querytext>
        select folder_id, folder_name
        from im_folder f
        where immutable_p = True
        or (immutable_p = False and user_id = :user_id)
      </querytext>
</fullquery>

</queryset>
